### Function

# Gtk AssistantPageFunc

since: 4.0

#### Declaration

    int
    (* GtkAssistantPageFunc) (
      int current_page,
      gpointer data
    )

#### Description [src]

Type of callback used to calculate the next page in a `GtkAssistant`.

It’s called both for computing the next page when the user presses the “forward” button and for handling the behavior of the “last” button.

See `gtk_assistant_set_forward_page_func()`.

Available since: 4.0

#### Parameters

`current_page`

  Type: `int`

  The page number used to calculate the next page.

`data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `int`

The next page number.